//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe;

import de.willuhn.jameica.plugin.AbstractPlugin;
import de.willuhn.jameica.system.Application;

/**
 * Settings f&uuml;r Mahoe
 *
 * @author Frank Mnster
 *
 */
public final class Settings {

	/**
	 * Mahoe Plugin
	 */
	private final static AbstractPlugin PLUGIN = Application.getPluginLoader().getPlugin(MahoeMain.class);

	/**
	 * Settings Objekt von Jameica
	 */
	// private final static de.willuhn.jameica.system.Settings MAHOE_SETTINGS =
	// Settings.PLUGIN.getResources()
	// .getSettings();

	/**
	 * Standardkonstruktor
	 */
	private Settings() {
		// Absichtlich leer
	}

	/**
	 * Liefert die Mahoe-Version
	 *
	 * @return die Mahoe-Version
	 */
	public static String getVersion() {
		return Settings.PLUGIN.getManifest().getVersion().toString();
	}

}
