//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bcee.assistant;

import org.apache.commons.lang.StringUtils;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.hibiscus.mahoe.assistant.AbstractCreateKontoDialog;
import de.frankmuenster.hibiscus.mahoe.assistant.CreateAccountInfo;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.willuhn.jameica.gui.input.TextInput;
import de.willuhn.jameica.hbci.gui.input.BICInput;
import de.willuhn.jameica.hbci.gui.input.IBANInput;

/**
 * Dialog zum Abfragen der MahoeMain Kreditkarteninformationen
 * 
 * @author Frank Mnster
 * 
 */
public class BceeCreateAccountDialog extends AbstractCreateKontoDialog<BceeCreateInfo> {

	/**
	 * LuxTrustId
	 */
	private transient TextInput luxTrustId;
	/**
	 * IBAN
	 */
	private transient IBANInput iban;
	/**
	 * BIC
	 */
	private transient BICInput bic;

	/**
	 */
	public BceeCreateAccountDialog() {
		super();
		this.setTitle(I18N.tr("BceeCreateAccountDialog.dialogTitle")); //$NON-NLS-1$
	}

	/**
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#paint(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected void paint(final Composite parent) {

		super.paint(parent);

		luxTrustId = new TextInput(StringUtils.EMPTY, 20, StringUtils.EMPTY);
		luxTrustId.setMandatory(true);
		bic = new BICInput("BCEELULLXXX"); //$NON-NLS-1$
		bic.setEnabled(false);
		iban = new IBANInput(StringUtils.EMPTY, bic);
		iban.setMandatory(true);
		accDescription.setHint("BCEE-Spuerkeess"); //$NON-NLS-1$

		container.addLabelPair(I18N.tr("BceeCreateAccountDialog.iban"), iban); //$NON-NLS-1$
		container.addLabelPair(I18N.tr("BceeCreateAccountDialog.bic"), bic); //$NON-NLS-1$
		container.addLabelPair(I18N.tr("BceeCreateAccountDialog.luxTrustId"), luxTrustId); //$NON-NLS-1$

	}

	/**
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#getData()
	 */
	@Override
	protected BceeCreateInfo getData() {

		final CreateAccountInfo info = super.getData();

		data.setOwner(info.getOwner());
		data.setComment(info.getComment());
		data.setDescription(StringUtils.isEmpty(info.getDescription()) ? "BCEE - Spuerkeess" //$NON-NLS-1$
				: info.getDescription());

		return data;
	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.assistant.AbstractCreateKontoDialog#prepareData()
	 */
	@Override
	protected boolean prepareData() {
		data = new BceeCreateInfo();

		data.setIban((String) iban.getValue());
		data.setBic((String) bic.getValue());
		data.setLuxTrustId((String) luxTrustId.getValue());
		data.setSavePDF(false);
		data.setSaveFolder(StringUtils.EMPTY);

		// TODO DatenCheck einbauen
		return true;
	}
}
