//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.hibiscus.mahoe.bsh.json.deserializer.ContractsDeserializer;

/**
 * JSON Antwort der Vertagsliste-Anfrage
 * 
 * @author Frank Mnster / Quirin Huber
 * 
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AccountListResponse extends BshResponse implements IBshResponse {

	/**
	 * Liste mit Vertrgen
	 */
	@JsonProperty("data")
	@JsonDeserialize(using = ContractsDeserializer.class)
	private transient List<Account> accounts;

	/**
	 * Standardkonstruktor
	 */
	public AccountListResponse() {
		super();
	}

	/**
	 * Liefert die Vertrge zu der Kundennummer
	 * 
	 * @return die Liste der Vertrge
	 */
	@JsonProperty("data")
	public List<Account> getAccounts() {
		return accounts;
	}
}
