//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.hibiscus.mahoe.bsh.json.deserializer.MessagesDeserializer;

/**
 * Antwort der Nachrichten-Anfrage
 * 
 * @author Frank Mnster
 * 
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MessagesResponse extends BshResponse implements IBshResponse {

	/**
	 * Liste mit den Nachrichten
	 */
	@JsonProperty("data")
	@JsonDeserialize(using = MessagesDeserializer.class)
	private transient List<Message> messages;

	/**
	 * Standardkonstruktor
	 */
	public MessagesResponse() {
		super();
	}

	/**
	 * Liefert vorhandenen Nachrichten
	 * 
	 * @return die Liste mit den Nachrichten
	 */
	@JsonProperty("data")
	public List<Message> getMessages() {
		return messages;
	}

}
