//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json.accountdetails;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.hibiscus.mahoe.bsh.json.deserializer.SimpleMoneyDeserializer;

/**
 * Vertragdetails - Subsidy-Details
 * 
 * @author Frank Mnster
 * 
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "year", "amount" })
public class SubsidyDetail {

	/**
	 * Das Jahr
	 */
	@JsonProperty("year")
	private transient Integer year;

	/**
	 * Der Betrag in dem Jahr
	 */
	@JsonProperty("amount")
	@JsonDeserialize(using = SimpleMoneyDeserializer.class)
	private transient BigDecimal amount;

	/**
	 * Standardkonstruktor
	 */
	public SubsidyDetail() {
		// Absichtlich leer
	}

	/**
	 * Liefert das Jahr
	 * 
	 * @return das Jahr
	 */
	@JsonProperty("year")
	public Integer getYear() {
		return year;
	}

	/**
	 * Liefert den Betrag
	 * 
	 * @return den Betrag
	 */
	@JsonProperty("amount")
	public BigDecimal getAmount() {
		return amount;
	}

}
